<?xml version="1.0"?>

<xsd:schema
    xmlns:xsd='http://www.w3.org/2001/XMLSchema'
    xmlns:gml='http://www.opengis.net/gml'
    xmlns:rcbase='http://staff.aist.go.jp/i.noda/Rescue/RandomCity/base'
    xmlns:misp="http://www.infosharp.org/misp"
    misp:id='http://staff.aist.go.jp/i.noda/Rescue/RandomCity/base/common.xsd'
    targetNamespace='http://staff.aist.go.jp/i.noda/Rescue/RandomCity/base'>

  <xsd:annotation>
    <xsd:documentation xml:lang='en'>
      Common Data Type Definition for Random City test data
      Copyright 2006 NODA, Itsuki, AIST, Japan.
      All rights reserved.
    </xsd:documentation>
  </xsd:annotation>

  <!-- GeometryFeature -->

  <xsd:complexType name='GeometryFeatureType'>
    <xsd:complexContent>
      <xsd:extension base='gml:AbstractFeatureType'>
        <xsd:sequence>
         <xsd:element maxOccurs='1' name='location' nillable='true' minOccurs='1' type='gml:geometryPropertyType'/>
         <xsd:element maxOccurs='1' name='id' nillable='true' minOccurs='1' type='rcbase:IDType'/>
        </xsd:sequence>
	<xsd:attribute name='id' type='xsd:string' use='optional'/>
      </xsd:extension>
    </xsd:complexContent>
  </xsd:complexType>

  <!-- ID type -->

  <xsd:simpleType name='IDType'>
    <xsd:restriction base='xsd:string'>
      <xsd:maxLength value='64'/>
    </xsd:restriction>
  </xsd:simpleType>

  <!-- Name type -->

  <xsd:simpleType name='NameType'>
    <xsd:restriction base='xsd:string'>
      <xsd:maxLength value='256'/>
    </xsd:restriction>
  </xsd:simpleType>

  <!-- URI type -->

  <xsd:simpleType name='URIType'>
    <xsd:restriction base='xsd:string'>
      <xsd:maxLength value='256'/>
    </xsd:restriction>
  </xsd:simpleType>

</xsd:schema>
